Bug 848386 - RFE: update spec.vim ftplugin
RFE: update spec.vim ftplugin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 09:15 EDT by Jan Vcelak
Modified: 2013-07-31 22:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 22:07:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Latest vim script with minor improvements (5.94 KB, text/plain)
2012-08-15 11:56 EDT, Jaroslav Škarvada
no flags Details

  None (edit)
Description Jan Vcelak 2012-08-15 09:15:38 EDT
Description of problem:

The current spec.vim ftplugin does not work properly with Epoch. The used version looks unmaintained, it would be great if we include some newer version in Fedora, like:
http://www.vim.org/scripts/script.php?script_id=98

This version has it's issues as well: %{?dist} is not removed when adding the changelog. And key biding is different (<Leader>ch instead of <Leader>c).

Jarda Skarvada (CC'ed) has some additional fixes.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jaroslav Škarvada 2012-08-15 11:56:52 EDT
Created attachment 604634 [details]
Latest vim script with minor improvements

- Fixed extra space addition in changelog entry.
- Tuned changelog to match Fedoras changelogs.
- Added support for %global.
- Added partial support for %{?macro} expansion (%{?macro:val} and %{!?macro:val} are still not supported).
- Hardcoded dist macro not to be added to changelog
Comment 3 Fedora End Of Life 2013-07-03 19:26:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 22:07:24 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.